class GeometricBoundingBox < Struct.new(:leftbottom, :righttop)

  def self.new_by_arrays(point1_coordinates, point2_coordinates)
    self.new(GeometricPoint.new_by_array(point1_coordinates),
             GeometricPoint.new_by_array(point2_coordinates))
  end

  def diagonal
    GeometricSegment.new(leftbottom, righttop)
  end

  def contains?(point)
    point.x.between?(leftbottom.x, righttop.x) && point.y.between?(leftbottom.y, righttop.y)
  end

end