class GeometricPoint < Struct.new(:x, :y)

  def self.new_by_array(array)
    self.new(array[0], array[1])
  end

  def to_vector
    GeometricVector.new(x, y)
  end

  def advance_by(vector)
    GeometricPoint.new(x + vector.x, y + vector.y)
  end

  def ==(another_point)
    x === another_point.x && y === another_point.y
  end

end